Bug 54191 - (TestingTe) (FIXED) Unable to boot without disabling KMS: ATI Mobility Radeon X1300
(TestingTe)
(FIXED) Unable to boot without disabling KMS: ATI Mobility Radeon X1300
Status: CLOSED CODE_FIX
Product: Drivers
Classification: Unclassified
Component: Video(Other)
All Linux
: P1 high
Assigned To: drivers_video-other
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-21 06:45 UTC by Waf Flez
Modified: 2013-11-12 13:49 UTC (History)
4 users (show)

See Also:
Kernel Version: 3.5.X - 3.9.3 (Fixed somewhere between 3.9.3 and 3.10)
Tree: Mainline
Regression: No


Attachments

Description Waf Flez 2013-02-21 06:45:32 UTC
Since the 3.5 series of the Linux kernel, and in every Linux kernel version since, I am unable to boot into my laptop without disabling KMS.

Specs:

Comp Model: HP Compaq nc6400
CPU: Intel Core Duo T2500
RAM: 4GB DDR2 RAM
GPU: ATI Mobility Radeon X1300


Tested many Linux kernel versions before 3.5. and booting is completely possible and works without a hitch.
Comment 1 Waf Flez 2013-02-21 21:17:37 UTC
This happens in every distribution, regardless of what graphicall drivers I have installed. It even occurs when I don't have *any* drivers installed at all.
Comment 2 gpratiqueav 2013-05-23 10:14:13 UTC
Looks related to this bug, where some kernel bisecting has already been done. 

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1108457

Anyhow I have the exact same symptoms on a Compaq 6910p laptop with a mobility radeon x2300 video card.
Trying to boot with any kernel version starting from 3.5 and above results in a blank screen and lockup, unless nomodeset is specified.

Ubuntu 12.04 with kernel 3.2.0 works perfectly.
Comment 3 Piotr Keplicz 2013-05-23 11:08:38 UTC
Related Fedora bug 845745: https://bugzilla.redhat.com/show_bug.cgi?id=845745
Comment 4 Waf Flez 2013-05-30 18:16:23 UTC
It appears, in the kernel, that Radeon UMS has been deprecated. Could this be related to the error?
Comment 5 Waf Flez 2013-07-18 16:53:41 UTC
(In reply to Waf Flez from comment #4)
> It appears, in the kernel, that Radeon UMS has been deprecated. Could this
> be related to the error?

Just booted into 3.10 after leaving this comp be for a while, the problem is fixed!
Comment 6 gpratiqueav 2013-07-19 21:58:05 UTC
Fixed indeed.

Booted with Ubuntu kernel 3.9.7, works fine with on my Compaq 6910p with Radeon mobility x2300.

Note You need to log in before you can comment on or make changes to this bug.